package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemCategoryUpdateRequest struct {
	/*
	   入参     */
	Bean *domain.AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean `json:"bean" required:"true" `
}

func (s *AlibabaWdkItemCategoryUpdateRequest) SetBean(v domain.AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean) *AlibabaWdkItemCategoryUpdateRequest {
	s.Bean = &v
	return s
}

func (req *AlibabaWdkItemCategoryUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Bean != nil {
		paramMap["bean"] = util.ConvertStruct(*req.Bean)
	}
	return paramMap
}

func (req *AlibabaWdkItemCategoryUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
